MonomialFactory.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/factories/CFactoryBase.h>`
`#include <polybori/BooleMonomial.h>`

Go to the source code of this file.

## Classes

class | polybori::MonomialFactory
| This base class MonomialFactory is used for currying monomial constructors with a BoolePolyRing. More...

## Namespaces

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2011-05-05

This file defines the base class MonomialFactory which is used for currying the constructors of `BooleMonomial` with a BoolePolyRing.

Copyright:
  (c) by The PolyBoRi Team